Conseils Pour Résoudre L’erreur RPM Up2date
Conseils Pour Résoudre L’erreur RPM Up2date

Conseils Pour Résoudre L’erreur RPM Up2date

Si vous avez une erreur de mise à jour RPM vers votre système, ce guide vous aidera probablement à la corriger.

Accélérez votre ordinateur en quelques minutes

  • Étape 1 : Téléchargez et installez Restoro
  • Étape 2 : Ouvrez le programme et cliquez sur "Analyser"
  • Étape 3 : Cliquez sur "Réparer" pour démarrer le processus de réparation
  • Cliquez ici pour obtenir le logiciel qui améliorera les performances de votre ordinateur.

    la description Tom Cosimano 16/11/2002 09:11:50 UTC

    De Bugzilla Helper :Vecteur utilisateur : Mozilla/5.0U ; (x11 ; Linux en-us ; i686 ; rv:1.0.1) Gecko/20021003Description du problème:Lorsque je lance sans cesse le programme up2date, je développe l’erreurRemarque : Je pense que cela est apparu après avoir rencontré le même problème que celui décrit ci-dessous :http://www.rpm.org/hintskinks/repairdb/et j’ai regardé les instructions pour résoudre ce fardeau mais maintenant j’ai une erreurMessage lorsque je fais une mise à jour :Trace (dernier appel en dernier) : Fichier “/usr/sbin/up2date”, ligne yr vieille femme, en ? Up2date_client à partir du scan rpcServer “/usr/share/rhn/up2date_client/rpcServer fichier.py”, 10, ligne ? dans Up2dateAuth fichier critique “/usr/share/rhn/up2date_client/up2dateAuth.py” à 6, № ? importer rpmSource Fichier “/usr/share/rhn/up2date_client/rpmSource.py”, ligne 11, ? en utilisant Import up2dateUtils “/usr/share/rhn/up2date_client/up2dateUtils file.py”, ligne 14, c’est ça ? valeur rpmUtils “/usr/share/rhn/up2date_client/rpmUtils file.py”, 261, ligne à cause de ? rpm_version correspond à getRpmVersion() Fichier “/usr/share/rhn/up2date_client/rpmUtils.257 py” défini à l’intérieur de getRpmVersion. Maximisez up2dateErrors. Définissez rpmerror(“a échoué, quelle version de rpm faites-vous avez-vousÇa marche. nSi vous obtenez une erreur, essayez d’exécuter ce manuel d’instructions nnttrpm –rebuilddbnn”)up2date_client.up2dateErrors.RpmError : erreur RPM. La commercialisation était :Il n’est pas possible d’indiquer le nombre de versions de RPM que la personne est susceptible d’utiliser.Si vous obtenez vraiment cette erreur, essayez de l’errer –rebuilddb rpmJe voulais exécuter –rebuilddb rpm dont aucune incertitude ne revenait instantanément avecPas de messages.Numéro de version pour la version sélectionnée (cas reproductible :Est toujoursÉtapes applicables):comment jouer:1. vous utilisez juste pour exécuter up2date2.3.Résultats réels : Traceback (dernier appel en dernier) : “/usr/sbin/up2date”, fichier 28, ligne ? en utilisant up2date_client importer rpcServer “/usr/share/rhn/up2date_client/rpcServer fichier.py”, 10, ligne ? Importer up2dateAuth Fichier “/usr/share/rhn/up2date_client/up2dateAuth.py”, ligne 6, ? Importer les tours par minute source Fichier “/usr/share/rhn/up2date_client/rpmSource.py”, ligne 11, pendant le temps dans ? Importer up2dateUtils “/usr/share/rhn/up2date_client/up2dateUtils file.py”, ligne 15 ? Si vous importez rpmUtils “/usr/share/rhn/up2date_client/rpmUtils file.py”, le net 261, est dans ? rpm_version implique getRpmVersion() Fichier “/usr/share/rhn/up2date_client/rpmUtils.py”, 257, rendez la ligne getRpmVersion Up2dateErrors .Produce up2dateErrors.Rpmerror(“Impossible de déterminer quelle version de RPM vous avezen cours d’exécution.nSi vous recevez une erreur, l’expérience marche nnttrpm –rebuilddbnn”)up2date_client.up2dateErrors.RpmError : erreur RPM. C’était:Le style de message RPM que vous utilisez ne peut pas être déterminé.Si les utilisateurs obtiennent maintenant cette erreur, essayez de l’exécuter tours par minute –rebuilddbRésultats attendus : Up2date devrait avoir été exécuté récemment pour recevoir les mises à jour du système.Informations complémentaires :Copie RPM 4.1

    commentaire 1 Adrien Likins 2002-12-02 22:09:38 UTC

    up2date rpm error

    L'une des premières choses à faire pour que up2date se démarque est d'essayer de faire la quantitéquelle version de mon système produit en plus. Cedemander dans vos données personnelles b la version publiéePaquets qui rendent "redhat-release" et souvent le paquet "rpm".Looks qui incluent qu'ils n'existent pas dans une nouvelle base de données (ilsc'est un pré-requis comme up2date, donc il devrait presque être installé...)